libei 1.4.0 A library for Emulated Input

Enumerations | Functions
liboeffis.h File Reference
`#include <stdbool.h>`
`#include <stdint.h>`
`#include <stddef.h>`

Go to the source code of this file.

## Enumerations
enum | oeffis_device { OEFFIS_DEVICE_ALL_DEVICES , OEFFIS_DEVICE_KEYBOARD , OEFFIS_DEVICE_POINTER , OEFFIS_DEVICE_TOUCHSCREEN }
| The bitmask of devices to request. More...
enum | oeffis_event_type { OEFFIS_EVENT_NONE , OEFFIS_EVENT_CONNECTED_TO_EIS , OEFFIS_EVENT_CLOSED , OEFFIS_EVENT_DISCONNECTED }

## Functions
struct oeffis * | oeffis_new (void *user_data)
| Create a new oeffis context.
struct oeffis * | oeffis_ref (struct oeffis *oeffis)
| Increase the refcount of this struct by one.
struct oeffis * | oeffis_unref (struct oeffis *oeffis)
| Decrease the refcount of this struct by one.
void | oeffis_set_user_data (struct oeffis *oeffis, void *user_data)
| Set a custom data pointer for this context.
void * | oeffis_get_user_data (struct oeffis *oeffis)
| Return the custom data pointer for this context.
int | oeffis_get_fd (struct oeffis *oeffis)
| liboeffis keeps a single file descriptor for all events.
int | oeffis_get_eis_fd (struct oeffis *oeffis)
| Get a `dup()` of the file descriptor.
void | oeffis_create_session (struct oeffis *oeffis, uint32_t devices)
| Connect this oeffis instance to a RemoteDesktop session with the given device mask selected.
void | oeffis_create_session_on_bus (struct oeffis *oeffis, const char *busname, uint32_t devices)
| See oeffis_create_session() but this function allows to specify the busname to connect to.
void | oeffis_dispatch (struct oeffis *oeffis)
| Process pending events.
enum oeffis_event_type | oeffis_get_event (struct oeffis *oeffis)
| Return the next available event, if any.
const char * | oeffis_get_error_message (struct oeffis *oeffis)
| If the session was OEFFIS_EVENT_DISCONNECTED, return the error message that caused the disconnection.